From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-odbc/
Date: Fri, 2 Mar 2018 06:39:27 +0000 (UTC) [thread overview]
Message-ID: <1519972749.9d26e5847f30f90c37ec934a967bbcb02e87d162.graaff@gentoo> (raw)
commit: 9d26e5847f30f90c37ec934a967bbcb02e87d162
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 2 06:30:41 2018 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Mar 2 06:39:09 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d26e584
dev-ruby/ruby-odbc: add 0.99999
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-ruby/ruby-odbc/Manifest | 1 +
dev-ruby/ruby-odbc/ruby-odbc-0.99999.ebuild | 61 +++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-ruby/ruby-odbc/Manifest b/dev-ruby/ruby-odbc/Manifest
index df314a08d17..cd930561fb8 100644
--- a/dev-ruby/ruby-odbc/Manifest
+++ b/dev-ruby/ruby-odbc/Manifest
@@ -1,2 +1,3 @@
DIST ruby-odbc-0.99997.tar.gz 76708 BLAKE2B d122e7f2cccd305731ba598ca684761daab288903e0f3866735b2672f20a9c6b55ed74d768bd4f79a03e0d743b4dff4704f465e58ed331ce37762ba9f7c1e871 SHA512 15ea850efa9f65467ea829c93f7dc9ecbef9409876b19d0a309d085b20e711da2888b918f77fcd26e6a40096358eab836d6bc3000c534da88f4f3c2b60a8662a
DIST ruby-odbc-0.99998.tar.gz 76810 BLAKE2B 97422dcd52bafad196fe9ccc7005c1ceae31649231fb62ccb00e45ccecbf46e9c679ff4ef905364b1fa05062aba9054d8c1b89025323b220a0c9893c22fd5fd0 SHA512 c983ca10cd21255d2a927deaac9c4689251f1149cc3c5b0b2a5578d5abdf2eb030a0bd726761eeb07abfb470e611316239de899d4739f4a380a598f4e0881f57
+DIST ruby-odbc-0.99999.tar.gz 76934 BLAKE2B 59de5a544b7eefe8e181f2c6a9a61915361743ef5f7554f778667b50ca0dc57fd0c4f71e406ad6f1d00fb2c6a6509030e61ad34dddecff61896f7bfe383d0a9b SHA512 05e3e67a895406e1a57fbea6f8ecd1c087d836794ea3245bd9eec888eb3c46fa2bf2607cc1b8fdc416d7bc531d783d621c03c9fde004db8c2e431fe838c531af
diff --git a/dev-ruby/ruby-odbc/ruby-odbc-0.99999.ebuild b/dev-ruby/ruby-odbc/ruby-odbc-0.99999.ebuild
new file mode 100644
index 00000000000..85f714bda62
--- /dev/null
+++ b/dev-ruby/ruby-odbc/ruby-odbc-0.99999.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README ChangeLog"
+
+inherit ruby-fakegem
+
+DESCRIPTION="RubyODBC - For accessing ODBC data sources from the Ruby language"
+HOMEPAGE="http://www.ch-werner.de/rubyodbc/"
+SRC_URI="http://www.ch-werner.de/rubyodbc/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 Ruby )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND="${DEPEND} >=dev-db/unixODBC-2.0.6"
+RDEPEND="${RDEPEND} >=dev-db/unixODBC-2.0.6"
+
+# tests require to have an ODBC service enabled, so we can't run them
+# for now :(
+RESTRICT=test
+
+all_ruby_prepare() {
+ # Make sure that it doesn't try to use the absolute-local path for
+ # the extension as we'd be unable to run it properly otherwise.
+ sed -i -e 's:\./odbc:odbc:' test/{,utf8/}test.rb || die
+
+ # Since lib should not get installed avoid it entirely…
+ mv lib contrib || die
+}
+
+each_ruby_configure() {
+ for dir in ext ext/utf8; do
+ ${RUBY} -C${dir} extconf.rb --disable-dlopen || die "extconf (${dir}) failed"
+ done
+}
+
+each_ruby_compile() {
+ for dir in ext ext/utf8; do
+ emake V=1 -C${dir} || die "emake (${dir}) failed"
+ done
+}
+
+each_ruby_install() {
+ each_fakegem_install
+
+ ruby_fakegem_newins ext/odbc.so lib/odbc.so
+ ruby_fakegem_newins ext/utf8/odbc_utf8.so lib/odbc_utf8.so
+}
+
+all_ruby_install() {
+ all_fakegem_install
+ dohtml doc/*.html || die
+}
next reply other threads:[~2018-03-02 6:39 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-03-02 6:39 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-27 10:18 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-odbc/ Hans de Graaff
2024-07-16 7:53 Sam James
2024-07-16 7:53 Sam James
2024-07-16 7:53 Sam James
2024-04-20 7:47 Hans de Graaff
2023-06-24 20:35 Hans de Graaff
2023-01-21 8:44 Hans de Graaff
2022-12-04 18:03 Arthur Zamarin
2022-12-03 15:12 Arthur Zamarin
2022-12-03 7:43 Hans de Graaff
2022-07-30 8:22 Hans de Graaff
2022-04-24 7:06 Hans de Graaff
2021-10-31 4:45 Hans de Graaff
2020-12-29 14:29 Hans de Graaff
2020-02-02 9:01 Hans de Graaff
2019-01-22 18:18 Hans de Graaff
2018-07-15 17:40 Hans de Graaff
2018-07-15 10:25 Sergei Trofimovich
2018-07-02 5:29 Hans de Graaff
2018-07-02 0:49 Thomas Deutschmann
2018-04-27 9:13 Hans de Graaff
2018-02-10 7:42 Hans de Graaff
2017-02-21 7:29 Hans de Graaff
2016-04-07 5:18 Hans de Graaff
2016-04-07 5:18 Hans de Graaff
2016-04-07 5:18 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1519972749.9d26e5847f30f90c37ec934a967bbcb02e87d162.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox